Web lists-archives.com

Re: libcurl problem.




On Tuesday 27 November 2018 15:11:55 Roberto C. Sánchez wrote:

> On Tue, Nov 27, 2018 at 02:58:17PM -0500, Gene Heskett wrote:
> > On Tuesday 27 November 2018 14:40:40 Roberto C. Sánchez wrote:
> > > apt-cache policy $(dpkg -l |grep libcurl | awk '{print $2}')
> >
> > gene@coyote:/CoCo$ sudo apt-cache policy $(dpkg -l |grep libcurl |
> > awk '{print $2}')
> > [sudo] password for gene:
> > libcurl3:
> >   Installed: 7.26.0-1+wheezy25+deb7u1
> >   Candidate: 7.26.0-1+wheezy25+deb7u1
> >   Version table:
> >  *** 7.26.0-1+wheezy25+deb7u1 0
> >         100 /var/lib/dpkg/status
> >      7.26.0-1+wheezy13 0
> >         500 http://deb.debian.org/debian/ wheezy/main i386 Packages
> > libcurl3-gnutls:
> >   Installed: 7.26.0-1+wheezy25+deb7u1
> >   Candidate: 7.26.0-1+wheezy25+deb7u1
> >   Version table:
> >  *** 7.26.0-1+wheezy25+deb7u1 0
> >         100 /var/lib/dpkg/status
> >      7.26.0-1+wheezy13 0
> >         500 http://deb.debian.org/debian/ wheezy/main i386 Packages
> > libcurl4-gnutls-dev:
> >   Installed: 7.26.0-1+wheezy25+deb7u1
> >   Candidate: 7.26.0-1+wheezy25+deb7u1
> >   Version table:
> >  *** 7.26.0-1+wheezy25+deb7u1 0
> >         100 /var/lib/dpkg/status
> >      7.26.0-1+wheezy13 0
> >         500 http://deb.debian.org/debian/ wheezy/main i386 Packages
> > python-pycurl:
> >   Installed: 7.19.0-5
> >   Candidate: 7.19.0-5
> >   Version table:
> >  *** 7.19.0-5 0
> >         500 http://deb.debian.org/debian/ wheezy/main i386 Packages
> >         100 /var/lib/dpkg/status
> >
> > Is this helpfull?
> >
> > Rhanks Roberto C. Sánchez
>
> The version you have installed first appeared 6 months ago:
>
> http://snapshot.debian.org/package/curl/7.26.0-1%2Bwheezy25%2Bdeb7u1/
>
> Here is the related Debian LTS Advisory:
>
> https://lists.debian.org/debian-lts-announce/2018/05/msg00010.html
>
> Did you just recently update curl?
>
About the first of october, it came from security.debian.org IIRC, but 
let me see if I can find it in Synaptics history to be exact & sure of 
the date . Damn, clear back in May 17 2018, I see this:

curl (7.26.0-1+wheezy25) to 7.26.0-1+wheezy25+deb7u1
libcurl3 (7.26.0-1+wheezy25) to 7.26.0-1+wheezy25+deb7u1
libcurl3-gnutls (7.26.0-1+wheezy25) to 7.26.0-1+wheezy25+deb7u1
libcurl4-gnutls-dev (7.26.0-1+wheezy25) to 7.26.0-1+wheezy25+deb7u1

I knew I'd been looking at the error, but I didn't think it was THAT far 
back up the log.  But an app I hadn't used in a coupler years, refused 
to go get the docs for a new version, which made me back it up to the 
previous version I was familiar with, also refused, I thought I'd dig a 
little deeper.

Abd the fix is? 

> Regards,
>
> -Roberto

Thanks Roberto C. Sánchez

-- 
Cheers, Gene Heskett
--
"There are four boxes to be used in defense of liberty:
 soap, ballot, jury, and ammo. Please use in that order."
-Ed Howdershelt (Author)
Genes Web page <http://geneslinuxbox.net:6309/gene>